No carga applets Java. Ubuntu 8.04 actualizado desde 7.10 (antes si lo hacía-SOLUCIONADO)

Imagen de Manche
0 puntos

Este problema no lo he tenido hasta que he actualizado y me joroba bastante estar pasandome a windows cada vez que me aparece el problema.

Tengo instalado: sun java 6, ubuntu restricted extras, OpenJDK, Sun java 6 plugin, icedtea java plugin y el problema se repite con todos los navegadores bajo ubuntu.

En firefox, en la barra de estado dice tras tratar de abrirlo "iniciar: subprograma no inicializado"

PD: Por si sirve de ayuda, en "aplicaciones / internet" aparece OpenJDK, sun java 5.0 web star y sun java 6.0 web star. Los dos primero puedo abrilos; sin embargo el sun java 6.0 no se abre. Espero vuestro consejo antes de desistalar el java 5.0 (que supongo se hara desde synaptic).

Imagen de javierrivera
+1
0
-1

Yo probaria a eliminar o el OpenJDK o todo el java de sun. Y luego reinstalaria el otro.

Tienes instalados dos "tipos" de java, el Open y el de Sun. Es posible que la causa es que se esten liando entre ellos.

A mi, personalmente, me funciona algo mejor el de Sun.

Javier.

+1
0
-1
Imagen de Manche
+1
0
-1

Sigue sin funcionar.

He desistalado OpenJDK y reistalado el resto: no funciona (aparece el anagrama de Sun pero el applet no va).

He dejado unicamente el sun 5 (igual solo anagrama)

He quitado el 5 y he puesto el java sun 6 (cambia el anagrama :) pero sigue sin ir).

He quitado el java de sun y he instalado el OpenjKD (la barra de estado indica subprograma no iniciado y sigue sin ir).

Gracias en cualquier caso Javier pero parece que ese no es el problema.

El problema sigue siendo independiente de firefox, no funciona tampoco con epiphany ni galeon.

+1
0
-1
Imagen de javierrivera
+1
0
-1

¿Tienes una URL para poderlo probarlo desde mi ordenador?.

Javier.

+1
0
-1
Imagen de Manche
+1
0
-1

Una URL que no funciona es (requiere registrarse):

http://www.formula1.com/services/live_timing/live_timing.htmlEn mi caso, le cuesta cargar (unos 90 segundos) y cuando finalmente aparece no funciona correctamente (el applet me pone en contacto en el servidor para actualizar en directo unos tiempos; se queda colgado y no actualiza, ya lo probe desde win y antes desde 7.10 y si iba). Llegue a pensar que podía ser también el firewall (firestarter), lo desactive y sigue igual.

Otro problema lo tengo con un programa de actividades (jclic) que uso en mi trabajo, que requiere el web star para iniciarlo, y que utilizo para crear proyectos que visualizan mis alumnos como applets. Imposible abrirlo mediante el web star 6, de hecho acabo de desistalarlo y trabajo con la sun web star 5, que aunque no resuelve el problema del applet anterior al menos es capaz de iniciar el programa.

Por cierto, Javier, los applets al menos ya parecen abrirse, desistale el open jDK y tal y como decias la cosa empezó a funcionar, no bien del todo pero mejor que antes. Sin embargo, el primer problema sigue sin resolverse (lo del jclic lo he resuelto usando la version 5 de sun; el sun java 6 no consigo hacer que funcione bien). 

+1
0
-1
Imagen de javierrivera
+1
0
-1

En mi ordenador la pagina parece que funciona. Aunque como no hay tiempos ahora mismo...

Sobre el WebStart, ahora mismo me funciona, si bien al actualizar a 8.04 (y que me instalara el OpenJava sobre el de Sun) perdi todas las aplicaciones del cache y tuve que recargarlas.

Ahora mismo, en mi ordenador, paquetes "base" de java tengo instalado solo estos:

java-common, sun-java6-bin, sun-java-jdk, sun-java-jre y sun-java-plugins. Todos los de sun en la version 6.0.6

El jdk solo es necesario si quieres desarrollar en java.

En teoria si dejas tu ordenador como el mio, deberia ir. Aunque sabe dios...

Javier.

+1
0
-1
Imagen de Manche
+1
0
-1

Nada Javier, sigue igual

Voy a hacer una instalacion limpia, ya que éste no es el unico problema que tengo.

Si la cosa no rula, me vuelvo a la 7.10 unos meses.

Gracias en cualquier caso, Javier.

Hasta otra.

+1
0
-1
Imagen de Livio
+1
0
-1

bueno..estoy programando con Net-beans, y ya tenia un buen trabajanco con Kubuntu 7.10, al momento de actualizar a la 8 se me hizo un desma#$% el sistema...con mis 9 meses de experiancia en GNU y con varias notas de apuntes de como instalar el pluggin de java en firefox ..no pude hacer correr applets en firecon con ubuntu 8, ademas de infinidad de errores con los discos duros...

la razon ..hsta ahora no la se..lo que si se es que me regrese a mi querido 7.10..ya me cambiare a la 8 cuando este mas corrida...

Saludos

+1
0
-1
Imagen de miguele
+1
0
-1

Hola

Yo tenía el mismo problema, y además en la misma página ;)

Siguiendo las instrucciones de Javier me ha quedado funcionando a la primera.

Saludos a todos y gracias Javier.

+1
0
-1
Imagen de m3n3chm0
+1
0
-1

Desinstalar

   sudo aptitude purge icedtea-gcjwebplugin

Y ya de paso todos los paquetes de icedtea que están obsoletos.

+1
0
-1
Imagen de Manche
+1
0
-1

gracias m3. Tarda en arrancar (algunos hasta 3 minutos) pero al final van.

+1
0
-1
Imagen de karkos
+1
0
-1

Efectivamente, yo tenía el mismo problema que tú. Sólo hice lo de desistalar lo que estaba obsoleto ya me tira.
Nuevamente, gracias.

+1
0
-1
Imagen de edualejo77
+1
0
-1

Yo tenia el mismo problema con una aplicacion en el browser. Cómo lo solucioné??bueno, desinstalé el openJDK y todos sus complementos y luego instalé el paquete de Java de Sun. Al iniciar la aplicación en el browser el propio plugin de Java te pedirá autorización y arranca!!!!

+1
0
-1
Imagen de ale67uy
+1
0
-1

Se debe crear un enlace simbólico en donde guardan los plugins del navegador del archivo lib libnpjp2.so...
Ejm:
ln -s /usr/local/src/jdk1.7.0_10/jre/lib/amd64/libnpjp2.so /usr/lib/browser-plugins/libnpjp2.so
o sino...
ln -s /usr/local/src/jdk1.7.0_10/jre/lib/amd64/libnpjp2.so /usr/lib/mozilla/plugins/libnpjp2.so
o sinolibnpjp2.so
ln -s /usr/local/src/jdk1.7.0_10/jre/lib/amd64/libnpjp2.so /home//.mozilla/plugins/libnpjp2.so

Espero que les sirva...

saludos

+1
0
-1